Package org.silverpeas.components.resourcesmanager.service

## Class ResourcesManagerRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.silverpeas.core.exception.SilverpeasRuntimeException
        - - org.silverpeas.components.resourcesmanager.service.ResourcesManagerRuntimeException

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.exception.FromModule`, `org.silverpeas.core.exception.WithNested`

      public class ResourcesManagerRuntimeException
      extends org.silverpeas.core.exception.SilverpeasRuntimeException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.exception.SilverpeasRuntimeException

      `ERROR, FATAL, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourcesManagerRuntimeException​(String callingClass, int errorLevel, String message)` | -------------------------------------------------------------------------- constructors
    `ResourcesManagerRuntimeException​(String callingClass, int errorLevel, String message, Exception nested)` |
    `ResourcesManagerRuntimeException​(String callingClass, int errorLevel, String message, String extraParams)` |
    `ResourcesManagerRuntimeException​(String callingClass, int errorLevel, String message, String extraParams, Exception nested)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getModule()` |

    - ### Methods inherited from class org.silverpeas.core.exception.SilverpeasRuntimeException

      `getErrorLevel, getMessageLang, getMessageLang, getNested, traceException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourcesManagerRuntimeException

          public ResourcesManagerRuntimeException​(String callingClass,
                                                  int errorLevel,
                                                  String message)

      -------------------------------------------------------------------------- constructors

    - #### ResourcesManagerRuntimeException

          public ResourcesManagerRuntimeException​(String callingClass,
                                                  int errorLevel,
                                                  String message,
                                                  String extraParams)

    - #### ResourcesManagerRuntimeException

          public ResourcesManagerRuntimeException​(String callingClass,
                                                  int errorLevel,
                                                  String message,
                                                  Exception nested)

    - #### ResourcesManagerRuntimeException

          public ResourcesManagerRuntimeException​(String callingClass,
                                                  int errorLevel,
                                                  String message,
                                                  String extraParams,
                                                  Exception nested)

  - ### Method Detail

    - #### getModule

          public String getModule()